Page MenuHomePhabricator

Is “chrome” a sufficient metaphor/descriptor?
Closed, ResolvedPublic

Description

When talking about the color metaphors, we've been using “chrome” to describe anything below/behind “paper” as surface metaphor. Chrome is the term for everything that frame the content part of a window in computing.
I'd like to ensure a simple and easily understandable metaphor for our guidelines and pose the question if “chrome” is sufficient?

Event Timeline

Volker_E created this task.Feb 11 2017, 1:53 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 11 2017, 1:53 AM

"Chrome" may be familiar for part of our audience but not so familiar for other parts of it. In those cases I'd not either (a) use only the "chrome" term (which would not help those unfamiliar with it) or (b) avoid it completely (which can create confusion in those familiar with the term that read any alternative on whether that refers to the chrome or not).

I'd consider following one of the following approaches:

  • Define "chrome" before using it. In the same way that we introduce other UI technical terms such as "radio buttons". For example, chrome: the margin around content where general tools are often placed.
  • Use an alternative term but clarify that we are referring to the chrome the first time. For example, the content margin (also referred as the chrome) is where general tools are placed, these should be minimal since contextual tools connected to the content are more meaningful...

I think the term chrome can be useful if we define it (Pau's option #1).

In my opinion chrome can refer to anything just because it is placed on the base layer, separate from the content. So what should be placed in the chrome is a good question.

In this Nielson article on chrome: https://www.nngroup.com/articles/browser-and-gui-chrome/ some of the benefits of chrome are that it helps users ground themselves, because the chrome UI is something that is in a confined space and doesn't change. Speaking of grounding (since we're running with this paper metaphor) maybe we can look at the base layer as "the ground" where you can put down the fundamental UI stuff (which we call chrome)? The purpose of the chrome could then be to give users some ground to stand on, like providing (like Pau mentions) general purpose UI that helps them navigate the app.

RHo added a comment.Feb 14 2017, 1:19 PM

+1 to Pau's suggestion to define chrome before usage. I think the Nielsen article linked by Jan provides a pretty concise definition:
"Chrome is the visual design elements that give users information about or commands to operate on the screen's content (as opposed to being part of that content)."

As for considering the 'base layer the ground', think this may be an unnecessary stretch of the metaphor, esp. since we don't generally place "paper" (layer containing the content) on the ground.

Volker_E added a comment.EditedJun 9 2017, 12:27 PM


Not only the “chrome” explanation is in this task, but a first try also includes blockquote/cite styles in style guide application. Oriented on mobile implementation over at T114885: Mobile should equip blockquote with language dependent quotation marks.
@Nirzar

  • I think you've used not Base10 but a lighter (Base20?) for the cite styles?
  • Also in the implementation the grey of the border is lighter than in the screenshots on the task, I've taken mobile implementation's Base70.
  • The margins above and below need to be bigger to accomplish a blockquote “feel” and be harmonious in regards to font-size.
Volker_E closed this task as Resolved.Mar 2 2018, 10:17 AM
Volker_E claimed this task.
Volker_E triaged this task as Normal priority.
Volker_E moved this task from In Dev/Progress to Done on the Wikimedia Design Style Guide board.
Volker_E removed a project: Patch-For-Review.